Printer in ionic

I am working on ionic app . my goal is to take print after clicking when i receive a notification. i follow this https://ionicframework.com/docs/native/printer but getting this error https://prnt.sc/qrotm8 . i dont know what is the problem . my print code is

print() {
      this.printer.isAvailable();
      let options: PrintOptions = {
          name: 'MyDocument',
          duplex: true,
         // landscape: true,
         // grayscale: true
        };
      this.printer.print("http://google.com", options);

package.json file is
{
“name”: “printer”,
“version”: “0.0.1”,
“author”: “Ionic Framework”,
“homepage”: “https://ionicframework.com/”,
“scripts”: {
“ng”: “ng”,
“start”: “ng serve”,
“build”: “ng build”,
“test”: “ng test”,
“lint”: “ng lint”,
“e2e”: “ng e2e”
},
“private”: true,
“dependencies”: {
@angular/common”: “~8.1.2”,
@angular/core”: “~8.1.2”,
@angular/forms”: “~8.1.2”,
@angular/platform-browser”: “~8.1.2”,
@angular/platform-browser-dynamic”: “~8.1.2”,
@angular/router”: “~8.1.2”,
@ionic-native/barcode-scanner”: “^5.19.1”,
@ionic-native/bluetooth-serial”: “^5.6.0”,
@ionic-native/core”: “^5.19.1”,
@ionic-native/file”: “^5.0.0-beta.21”,
@ionic-native/file-opener”: “^5.0.0-beta.21”,
@ionic-native/printer”: “^5.19.1”,
@ionic-native/splash-screen”: “^5.0.0”,
@ionic-native/status-bar”: “^5.0.0”,
@ionic/angular”: “^4.7.1”,
@types/dom-to-image”: “^2.6.0”,
@types/jspdf”: “^1.3.3”,
“cordova-android”: “8.1.0”,
“cordova-plugin-file”: “^6.0.2”,
“cordova-plugin-file-opener2”: “^3.0.0”,
“cordova-plugin-printer”: “^0.8.0”,
“core-js”: “^2.5.4”,
“dom-to-image”: “^2.6.0”,
“ionic-angular”: “^3.9.9”,
“ionic-native”: “^2.9.0”,
“isiigo-cordova-plugin-printer”: “^1.0.4”,
“jspdf”: “^1.5.3”,
“rxjs”: “~6.5.1”,
“tslib”: “^1.9.0”,
“zone.js”: “~0.9.1”
},
“devDependencies”: {
@angular-devkit/architect”: “~0.801.2”,
@angular-devkit/build-angular”: “~0.801.2”,
@angular-devkit/core”: “~8.1.2”,
@angular-devkit/schematics”: “~8.1.2”,
@angular/cli”: “~8.1.2”,
@angular/compiler”: “~8.1.2”,
@angular/compiler-cli”: “~8.1.2”,
@angular/language-service”: “~8.1.2”,
@ionic/angular-toolkit”: “^2.1.1”,
@types/jasmine”: “~3.3.8”,
@types/jasminewd2”: “~2.0.3”,
@types/node”: “~8.9.4”,
“codelyzer”: “^5.0.0”,
“cordova-plugin-device”: “^2.0.2”,
“cordova-plugin-ionic-keyboard”: “^2.2.0”,
“cordova-plugin-ionic-webview”: “^4.1.3”,
“cordova-plugin-splashscreen”: “^5.0.2”,
“cordova-plugin-statusbar”: “^2.4.2”,
“cordova-plugin-whitelist”: “^1.3.3”,
“jasmine-core”: “~3.4.0”,
“jasmine-spec-reporter”: “~4.2.1”,
“karma”: “~4.1.0”,
“karma-chrome-launcher”: “~2.2.0”,
“karma-coverage-istanbul-reporter”: “~2.0.1”,
“karma-jasmine”: “~2.0.1”,
“karma-jasmine-html-reporter”: “^1.4.0”,
“protractor”: “~5.4.0”,
“ts-node”: “~7.0.0”,
“tslint”: “~5.15.0”,
“typescript”: “~3.4.3”
},
“description”: “An Ionic project”,
“cordova”: {
“plugins”: {
“cordova-plugin-whitelist”: {},
“cordova-plugin-statusbar”: {},
“cordova-plugin-device”: {},
“cordova-plugin-splashscreen”: {},
“cordova-plugin-ionic-webview”: {
“ANDROID_SUPPORT_ANNOTATIONS_VERSION”: “27.+”
},
“cordova-plugin-ionic-keyboard”: {},
“cordova-plugin-file-opener2”: {
“ANDROID_SUPPORT_V4_VERSION”: “27.+”
},
“cordova-plugin-file”: {},
“cordova-plugin-printer”: {}
},
“platforms”: [
“android”
]
}
}


Any help would be appreciated . i am new and bit worried. trying tips since last day but same error